      SUBROUTINE READ W                                                 READ001 
	character*8 id
C                        READS W ARRAY                                  READ002 
C       A 1 IN THE FOLLOWING COLUMNS WILL MAKE THE DESCRIBED CONVERSIONSREAD003 
COL 18   DEGREES TO RADIANS                                             READ004 
COL 19   GREAT CIRCLE DISTANCE IN KM TO RADIANS                         READ005 
COL 20   NAUTICAL MILES TO KM                                           READ006 
COL 21   FEET TO KM                                                     READ007 
C                                                                       READ008 
      COMMON /CONST/ PI,PIT2,PID2,DEGS,RAD,DUM(3)                       READ009 
      COMMON /WW/ ID(10),W0,W(400)                                      READ010 
      EQUIVALENCE (EARTHR,W(2))                                         READ011 
      INTEGER DEG,FEET                                                  READ012 
c
      READ (5,1000,end=3) ID                                            READ013 
	type*, id
 1000 FORMAT (10A8)                                                     READ014 
ccc      IF (EOF,60) 3,4                                                READ015 
ccc    3 CALL EXIT                                                      READ016 
    4 READ (5,1100) NW,W(NW),DEG,KM,NM,FEET                             READ017 
	type*, nw,w(nw)
 1100 FORMAT (I3,E14.7,5I1)                                             READ018 
      IF (NW.EQ.0) GO TO 10                                             READ019 
      IF (NW.GT.0.AND.NW.LE.400) GO TO 5                                READ020 
      write(6,4000) NW                                                  READ021 
 4000 FORMAT(15H1THE SUBSCRIPT ,I3,77H ON THE W-ARRAY INPUT IS OUT OF BOREAD022 
     1UNDS.  ALLOWABLE VALUES ARE 1 THROUGH 400. )                      READ023 
      CALL EXIT                                                         READ024 
    5 IF (DEG.NE.0.) W(NW)=W(NW)*RAD                                    READ025 
      IF (KM.NE.0) W(NW)=W(NW)/EARTHR                                   READ026 
      IF (NM.NE.0) W(NW)=W(NW)*1.852                                    READ027 
      IF (FEET.NE.0) W(NW)=W(NW)*3.048006096E-4                         READ028 
      GO TO 4                                                           READ029 
   10 RETURN                                                            READ030 
3	call exit
         END                                                            READ031-
